Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065727 - Disk name doesn't get assigned automatically after a CREATE command.
Summary: Disk name doesn't get assigned automatically after a CREATE command.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 3.4.0
Assignee: Tal Nisan
QA Contact: Meital Bourvine
URL:
Whiteboard: storage
Depends On:
Blocks: 1066466 rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2014-02-16 11:48 UTC by Ohad Basan
Modified: 2016-02-10 19:14 UTC (History)
14 users (show)

Fixed In Version: ovirt-3.4.0-beta3
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1066466 (view as bug list)
Environment:
Last Closed: 2014-06-12 14:03:52 UTC
oVirt Team: Storage


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 24526 None None None Never
oVirt gerrit 24652 None None None Never

Description Ohad Basan 2014-02-16 11:48:38 UTC
Description of problem:
Sending a CREATE command to create a disk

 
2014-02-16 03:05:39,884 - MainThread - disks - DEBUG - CREATE request content is --  url:/ovirt-engine/api/vms/97e991df-c3b0-4852-af16-4e104725558e/disks body:<disk>
    <storage_domains>
        <storage_domain href="/ovirt-engine/api/storagedomains/c5f07185-ad74-4560-acf4-82555becf7eb" id="c5f07185-ad74-4560-acf4-82555becf7eb">
            <name>DataDomainRest</name>
            <link href="/ovirt-engine/api/storagedomains/c5f07185-ad74-4560-acf4-82555becf7eb/permissions" rel="permissions"/>
            <link href="/ovirt-engine/api/storagedomains/c5f07185-ad74-4560-acf4-82555becf7eb/disks" rel="disks"/>
            <link href="/ovirt-engine/api/storagedomains/c5f07185-ad74-4560-acf4-82555becf7eb/storageconnections" rel="storageconnections"/>
            <type>data</type>
            <master>true</master>
            <storage>
                <address>10.35.148.12</address>
                <type>nfs</type>
                <path>/vol/vfilers/nfs01/jenkins-automation-rpm-vm30_nfs_2014_02_16_3_1_50_126863</path>
            </storage>
            <available>1333587345408</available>
            <used>126701535232</used>
            <committed>0</committed>
            <storage_format>v3</storage_format>
        </storage_domain>
    </storage_domains>
    <size>2147483648</size>
    <interface>ide</interface>
    <format>raw</format>
    <sparse>true</sparse>
</disk>

returns from the engine
2014-02-16 03:05:40,841 - MainThread - disks - DEBUG - Response body for CREATE request is: 
<fault>
    <reason>Operation Failed</reason>
    <detail>[Disk alias name must be formed of alpha-numeric characters or "-_."]</detail>
</fault>


in 3.3 there was no need to be specified as it was derived from the Vm name.
Like this:

2014-02-15 22:42:30,458 - MainThread - disks - DEBUG - Response code is valid: [200, 201] 
2014-02-15 22:42:30,459 - MainThread - disks - DEBUG - Response body for GET request is: 
<disks>
    <disk href="/api/vms/6968a35e-81b5-4931-b093-93ee48370b61/disks/5d2db876-7079-40c0-81f6-b97133c87be6" id="5d2db876-7079-40c0-81f6-b97133c87be6">
        <actions>
            <link href="/api/vms/6968a35e-81b5-4931-b093-93ee48370b61/disks/5d2db876-7079-40c0-81f6-b97133c87be6/move" rel="move"/>
            <link href="/api/vms/6968a35e-81b5-4931-b093-93ee48370b61/disks/5d2db876-7079-40c0-81f6-b97133c87be6/deactivate" rel="deactivate"/>
            <link href="/api/vms/6968a35e-81b5-4931-b093-93ee48370b61/disks/5d2db876-7079-40c0-81f6-b97133c87be6/activate" rel="activate"/>
            <link href="/api/vms/6968a35e-81b5-4931-b093-93ee48370b61/disks/5d2db876-7079-40c0-81f6-b97133c87be6/export" rel="export"/>
        </actions>
        <name>restvm0_Disk1</name>
        <link href="/api/vms/6968a35e-81b5-4931-b093-93ee48370b61/disks/5d2db876-7079-40c0-81f6-b97133c87be6/permissions" rel="permissions"/>
        <link href="/api/vms/6968a35e-81b5-4931-b093-93ee48370b61/disks/5d2db876-7079-40c0-81f6-b97133c87be6/statistics" rel="statistics"/>
        <vm href="/api/vms/6968a35e-81b5-4931-b093-93ee48370b61" id="6968a35e-81b5-4931-b093-93ee48370b61"/>
        <alias>restvm0_Disk1</alias>
        <image_id>25185248-0e80-42bb-9cf3-d9e51e6fccf5</image_id>
        <storage_domains>
            <storage_domain id="4f6b9fa4-275c-4866-891f-db1de0665b33"/>
        </storage_domains>
        <size>2147483648</size>
        <provisioned_size>2147483648</provisioned_size>
        <actual_size>0</actual_size>
        <status>
            <state>locked</state>
        </status>
        <interface>ide</interface>
        <format>raw</format>
        <sparse>true</sparse>
        <bootable>false</bootable>
        <shareable>false</shareable>
        <wipe_after_delete>false</wipe_after_delete>
        <propagate_errors>false</propagate_errors>
        <active>true</active>
    </disk>
</disks>

Comment 1 Ilanit Stein 2014-02-16 12:00:13 UTC
It seems as a disk name validation problem. 
Maor would you please check?

Comment 3 Maor 2014-02-16 12:21:37 UTC
This could be related to the fix introduced in change-id I110f40b121a0bff8117888399fd5b798a9f19c10
Tal would you mind to take a look, see if it's related?

Comment 4 Tal Nisan 2014-02-16 17:09:41 UTC
It was a bug in the validation framework, pushed a patch that fixes it

Comment 6 Sandro Bonazzola 2014-02-19 12:26:36 UTC
This bug is referenced in ovirt-engine-3.4.0-beta3 logs. Moving to ON_QA

Comment 7 Meital Bourvine 2014-02-19 15:32:25 UTC
This jobs now works in CI (this patch was indeed merged to ovirt-engine-3.4.0-beta3)

Comment 8 Itamar Heim 2014-06-12 14:03:52 UTC
Closing as part of 3.4.0


Note You need to log in before you can comment on or make changes to this bug.